
Redmine - Defect #23391

Wrong CSS classes in subtasks tree

2016-07-21 04:06 - Vasil Kovalevsky

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.3.1   

Resolution: Fixed Affected version:  

Description

There was patch #21474

But there is mistake for "render_descendants_tree" method.

Now every child tr has class of current issue, but must has own

css = "issue issue-#{child.id} hascontextmenu #{issue.css_classes}" 

need to be

css = "issue issue-#{child.id} hascontextmenu #{child.css_classes}" 

Related issues:

Related to Redmine - Patch #21474: Adding issue css classes to subtasks and r... Closed

Associated revisions

Revision 15739 - 2016-08-20 12:31 - Jean-Philippe Lang

Wrong CSS classes in subtasks tree (#23391).

Patch by Vasil Kovalevsky.

Revision 15744 - 2016-08-20 13:47 - Jean-Philippe Lang

Merged r15739 (#23391).

History

#1 - 2016-07-21 04:38 - Go MAEDA

- File fix-23391.diff added

- Category set to UI

- Status changed from New to Confirmed

- Target version set to 3.3.1

Confirmed the problem.

Here is a patch file made from Vasil Kovalevsky's post: fix-23391.diff

#2 - 2016-08-20 12:32 - Jean-Philippe Lang

- Subject changed from wrong css in issue descendats tree to Wrong CSS classes in subtasks tree

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks.

#3 - 2016-08-20 13:48 - Jean-Philippe Lang

- Status changed from Resolved to Closed
https://www.redmine.org/issues/21474
https://www.redmine.org/attachments/16386


#4 - 2018-10-25 11:04 - Marius BĂLTEANU

- Related to Patch #21474: Adding issue css classes to subtasks and relations tr added

Files

fix-23391.diff 769 Bytes 2016-07-21 Go MAEDA
